Download it now!
Bug 123851 - Crash on start with KDE integration installed
Summary: Crash on start with KDE integration installed
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.2.0.3 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.4.0 target:6.3.4
Keywords:
: 128738 (view as bug list)
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2019-03-04 21:54 UTC by krzysiek
Modified: 2019-11-13 17:47 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
backtrace with master as of 8e3f4317823aa83e0ad9e7dc008a1550ef3c9798 (53.90 KB, text/plain)
2019-07-18 07:11 UTC, Michael Weghorn
Details
User profile to reprodue (803.93 KB, application/gzip)
2019-07-18 07:51 UTC, Michael Weghorn
Details
GDB trace of crash (2.70 KB, text/plain)
2019-11-13 09:14 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description krzysiek 2019-03-04 21:54:15 UTC
Description:
When LibreOffice 6.2 is installed on KDE neon (current on 2019-03-04) with libobasis6.2-kde-integration (6.2.0.3-3) there is crash on start.

When libobasis6.2-kde-integration package is uninstalled there is no crash

Steps to Reproduce:
1.Install LibreOffice 6.2 on KDE neon (current on 2019-03-04) with libobasis6.2-kde-integration (6.2.0.3-3)
2.Start /opt/libreoffice6.2/program/soffice.bin

Actual Results:
LibreOffice Crash witch below error

Expected Results:
LibreOffice start


Reproducible: Always


User Profile Reset: No



Additional Info:
Application: soffice (soffice), signal: Floating point exception
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f035f52dfc0 (LWP 8670))]

Thread 22 (Thread 0x7f030dffb700 (LWP 8714)):
#0  0x00007f03593529f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x27f2e30) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x27f2de0, cond=0x27f2e08) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x27f2e08, mutex=0x27f2de0) at pthread_cond_wait.c:655
#3  0x00007f032cbc0e6b in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f032cbc0b77 in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f035934c6db in start_thread (arg=0x7f030dffb700) at pthread_create.c:463
#6  0x00007f035aa5a88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 21 (Thread 0x7f030e7fc700 (LWP 8713)):
#0  0x00007f03593529f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x27f2e30) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x27f2de0, cond=0x27f2e08) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x27f2e08, mutex=0x27f2de0) at pthread_cond_wait.c:655
#3  0x00007f032cbc0e6b in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f032cbc0b77 in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f035934c6db in start_thread (arg=0x7f030e7fc700) at pthread_create.c:463
#6  0x00007f035aa5a88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 20 (Thread 0x7f030effd700 (LWP 8712)):
#0  0x00007f03593529f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x27f2e30) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x27f2de0, cond=0x27f2e08) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x27f2e08, mutex=0x27f2de0) at pthread_cond_wait.c:655
#3  0x00007f032cbc0e6b in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f032cbc0b77 in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f035934c6db in start_thread (arg=0x7f030effd700) at pthread_create.c:463
#6  0x00007f035aa5a88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 19 (Thread 0x7f030f7fe700 (LWP 8711)):
#0  0x00007f03593529f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x27f2e30) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x27f2de0, cond=0x27f2e08) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x27f2e08, mutex=0x27f2de0) at pthread_cond_wait.c:655
#3  0x00007f032cbc0e6b in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f032cbc0b77 in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f035934c6db in start_thread (arg=0x7f030f7fe700) at pthread_create.c:463
#6  0x00007f035aa5a88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 18 (Thread 0x7f030ffff700 (LWP 8710)):
#0  0x00007f03593529f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x27f2e30) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x27f2de0, cond=0x27f2e08) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x27f2e08, mutex=0x27f2de0) at pthread_cond_wait.c:655
#3  0x00007f032cbc0e6b in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f032cbc0b77 in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f035934c6db in start_thread (arg=0x7f030ffff700) at pthread_create.c:463
#6  0x00007f035aa5a88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 17 (Thread 0x7f0314ff9700 (LWP 8709)):
#0  0x00007f03593529f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x27f28b0) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x27f2860, cond=0x27f2888) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x27f2888, mutex=0x27f2860) at pthread_cond_wait.c:655
#3  0x00007f032cbc0e6b in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f032cbc0b77 in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f035934c6db in start_thread (arg=0x7f0314ff9700) at pthread_create.c:463
#6  0x00007f035aa5a88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 16 (Thread 0x7f03157fa700 (LWP 8708)):
#0  0x00007f03593529f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x27f28b0) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x27f2860, cond=0x27f2888) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x27f2888, mutex=0x27f2860) at pthread_cond_wait.c:655
#3  0x00007f032cbc0e6b in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f032cbc0b77 in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f035934c6db in start_thread (arg=0x7f03157fa700) at pthread_create.c:463
#6  0x00007f035aa5a88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 15 (Thread 0x7f0315ffb700 (LWP 8707)):
#0  0x00007f03593529f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x27f28b0) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x27f2860, cond=0x27f2888) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x27f2888, mutex=0x27f2860) at pthread_cond_wait.c:655
#3  0x00007f032cbc0e6b in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f032cbc0b77 in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f035934c6db in start_thread (arg=0x7f0315ffb700) at pthread_create.c:463
#6  0x00007f035aa5a88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 14 (Thread 0x7f03167fc700 (LWP 8706)):
#0  0x00007f03593529f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x27f28b0) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x27f2860, cond=0x27f2888) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x27f2888, mutex=0x27f2860) at pthread_cond_wait.c:655
#3  0x00007f032cbc0e6b in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f032cbc0b77 in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f035934c6db in start_thread (arg=0x7f03167fc700) at pthread_create.c:463
#6  0x00007f035aa5a88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 13 (Thread 0x7f0316ffd700 (LWP 8705)):
#0  0x00007f03593529f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x27f28b0) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x27f2860, cond=0x27f2888) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x27f2888, mutex=0x27f2860) at pthread_cond_wait.c:655
#3  0x00007f032cbc0e6b in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f032cbc0b77 in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f035934c6db in start_thread (arg=0x7f0316ffd700) at pthread_create.c:463
#6  0x00007f035aa5a88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 12 (Thread 0x7f03177fe700 (LWP 8704)):
#0  0x00007f03593529f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x27f28b0) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x27f2860, cond=0x27f2888) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x27f2888, mutex=0x27f2860) at pthread_cond_wait.c:655
#3  0x00007f032cbc0e6b in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f032cbc0b77 in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f035934c6db in start_thread (arg=0x7f03177fe700) at pthread_create.c:463
#6  0x00007f035aa5a88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 11 (Thread 0x7f0317fff700 (LWP 8703)):
#0  0x00007f03593529f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x27f28b0) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x27f2860, cond=0x27f2888) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x27f2888, mutex=0x27f2860) at pthread_cond_wait.c:655
#3  0x00007f032cbc0e6b in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f032cbc0b77 in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f035934c6db in start_thread (arg=0x7f0317fff700) at pthread_create.c:463
#6  0x00007f035aa5a88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 10 (Thread 0x7f031cbc8700 (LWP 8702)):
#0  0x00007f03593529f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x27f28b0) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x27f2860, cond=0x27f2888) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x27f2888, mutex=0x27f2860) at pthread_cond_wait.c:655
#3  0x00007f032cbc0e6b in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f032cbc0b77 in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f035934c6db in start_thread (arg=0x7f031cbc8700) at pthread_create.c:463
#6  0x00007f035aa5a88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 9 (Thread 0x7f031d3c9700 (LWP 8701)):
#0  0x00007f03593529f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x27f28b0) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x27f2860, cond=0x27f2888) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x27f2888, mutex=0x27f2860) at pthread_cond_wait.c:655
#3  0x00007f032cbc0e6b in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f032cbc0b77 in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f035934c6db in start_thread (arg=0x7f031d3c9700) at pthread_create.c:463
#6  0x00007f035aa5a88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 8 (Thread 0x7f031dbca700 (LWP 8700)):
#0  0x00007f03593529f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x27f28b0) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x27f2860, cond=0x27f2888) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x27f2888, mutex=0x27f2860) at pthread_cond_wait.c:655
#3  0x00007f032cbc0e6b in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f032cbc0b77 in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f035934c6db in start_thread (arg=0x7f031dbca700) at pthread_create.c:463
#6  0x00007f035aa5a88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 7 (Thread 0x7f031e3cb700 (LWP 8699)):
#0  0x00007f03593529f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x27f28b0) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x27f2860, cond=0x27f2888) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x27f2888, mutex=0x27f2860) at pthread_cond_wait.c:655
#3  0x00007f032cbc0e6b in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f032cbc0b77 in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f035934c6db in start_thread (arg=0x7f031e3cb700) at pthread_create.c:463
#6  0x00007f035aa5a88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 6 (Thread 0x7f031ebcc700 (LWP 8698)):
#0  0x00007f03593529f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x27f28b0) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x27f2860, cond=0x27f2888) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x27f2888, mutex=0x27f2860) at pthread_cond_wait.c:655
#3  0x00007f032cbc0e6b in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f032cbc0b77 in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f035934c6db in start_thread (arg=0x7f031ebcc700) at pthread_create.c:463
#6  0x00007f035aa5a88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 0x7f031f3cd700 (LWP 8697)):
#0  0x00007f03593529f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x27f3208) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x27f31b8, cond=0x27f31e0) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x27f31e0, mutex=0x27f31b8) at pthread_cond_wait.c:655
#3  0x00007f032cbc0e6b in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f032cbc0b77 in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f035934c6db in start_thread (arg=0x7f031f3cd700) at pthread_create.c:463
#6  0x00007f035aa5a88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7f031fd0f700 (LWP 8696)):
#0  0x00007f03593529f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x27ef270) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x27ef220, cond=0x27ef248) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x27ef248, mutex=0x27ef220) at pthread_cond_wait.c:655
#3  0x00007f032cbc0e6b in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f032cbc0b77 in ?? () from /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f035934c6db in start_thread (arg=0x7f031fd0f700) at pthread_create.c:463
#6  0x00007f035aa5a88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7f032ffff700 (LWP 8695)):
#0  0x00007f035aa1d9d0 in __GI___nanosleep (requested_time=0x7f032fffea40, remaining=0x0) at ../sysdeps/unix/sysv/linux/nanosleep.c:28
#1  0x00007f035ad6ac19 in osl_waitThread () from /opt/libreoffice6.2/program/libuno_sal.so.3
#2  0x00007f035cccf67b in ?? () from /opt/libreoffice6.2/program/libmergedlo.so
#3  0x00007f0354ba2166 in salhelper::Thread::run() () from /opt/libreoffice6.2/program/libuno_salhelpergcc3.so.3
#4  0x00007f0354ba234a in ?? () from /opt/libreoffice6.2/program/libuno_salhelpergcc3.so.3
#5  0x00007f035ad6a759 in ?? () from /opt/libreoffice6.2/program/libuno_sal.so.3
#6  0x00007f035934c6db in start_thread (arg=0x7f032ffff700) at pthread_create.c:463
#7  0x00007f035aa5a88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7f0335329700 (LWP 8693)):
#0  0x00007f035aa490b4 in __GI___libc_read (fd=7, buf=0x7f0335328860, nbytes=16) at ../sysdeps/unix/sysv/linux/read.c:27
#1  0x00007f035708fcd0 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f035704b027 in g_main_context_check () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f035704b4e0 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f035704b64c in g_main_context_iteration () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f03484bc15b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f034845d64a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f034828541a in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007f0346467015 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5DBus.so.5
#9  0x00007f0348286bc2 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#10 0x00007f035934c6db in start_thread (arg=0x7f0335329700) at pthread_create.c:463
#11 0x00007f035aa5a88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7f035f52dfc0 (LWP 8670)):
[KCrash Handler]
#8  0x00007f034736ebe9 in QCommonStyle::subControlRect(QStyle::ComplexControl, QStyleOptionComplex const*, QStyle::SubControl, QWidget const*) const () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#9  0x00007f03357934c1 in ?? () from /usr/lib/x86_64-linux-gnu/qt5/plugins/styles/breeze.so
#10 0x00007f034737fbd2 in QCommonStyle::drawComplexControl(QStyle::ComplexControl, QStyleOptionComplex const*, QPainter*, QWidget const*) const () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#11 0x00007f03357952c1 in ?? () from /usr/lib/x86_64-linux-gnu/qt5/plugins/styles/breeze.so
#12 0x00007f0335794ee4 in ?? () from /usr/lib/x86_64-linux-gnu/qt5/plugins/styles/breeze.so
#13 0x00007f0346937694 in ?? () from /opt/libreoffice6.2/program/libvclplug_qt5lo.so
#14 0x00007f0346938a65 in Qt5Graphics_Controls::drawNativeControl(ControlType, ControlPart, tools::Rectangle const&, ControlState, ImplControlValue const&, rtl::OUString const&) () from /opt/libreoffice6.2/program/libvclplug_qt5lo.so
#15 0x00007f0349c76bc7 in ?? () from /opt/libreoffice6.2/program/libvclplug_kde5lo.so
#16 0x00007f035dc5c95f in SalGraphics::DrawNativeControl(ControlType, ControlPart, tools::Rectangle const&, ControlState, ImplControlValue const&, rtl::OUString const&, OutputDevice const*) () from /opt/libreoffice6.2/program/libmergedlo.so
#17 0x00007f035db3a923 in OutputDevice::DrawNativeControl(ControlType, ControlPart, tools::Rectangle const&, ControlState, ImplControlValue const&, rtl::OUString const&) () from /opt/libreoffice6.2/program/libmergedlo.so
#18 0x00007f035dad4b65 in ?? () from /opt/libreoffice6.2/program/libmergedlo.so
#19 0x00007f035dad643e in ?? () from /opt/libreoffice6.2/program/libmergedlo.so
#20 0x00007f035d999b66 in ?? () from /opt/libreoffice6.2/program/libmergedlo.so
#21 0x00007f035d999edb in ?? () from /opt/libreoffice6.2/program/libmergedlo.so
#22 0x00007f035d999ff2 in ?? () from /opt/libreoffice6.2/program/libmergedlo.so
#23 0x00007f035d999eac in ?? () from /opt/libreoffice6.2/program/libmergedlo.so
#24 0x00007f035d999ff2 in ?? () from /opt/libreoffice6.2/program/libmergedlo.so
#25 0x00007f035d999eac in ?? () from /opt/libreoffice6.2/program/libmergedlo.so
#26 0x00007f035d999ff2 in ?? () from /opt/libreoffice6.2/program/libmergedlo.so
#27 0x00007f035d999eac in ?? () from /opt/libreoffice6.2/program/libmergedlo.so
#28 0x00007f035d999ff2 in ?? () from /opt/libreoffice6.2/program/libmergedlo.so
#29 0x00007f035d999eac in ?? () from /opt/libreoffice6.2/program/libmergedlo.so
#30 0x00007f035d999ff2 in ?? () from /opt/libreoffice6.2/program/libmergedlo.so
#31 0x00007f035d999eac in ?? () from /opt/libreoffice6.2/program/libmergedlo.so
#32 0x00007f035d99ad9e in vcl::Window::Update() () from /opt/libreoffice6.2/program/libmergedlo.so
#33 0x00007f035d99ad15 in vcl::Window::Update() () from /opt/libreoffice6.2/program/libmergedlo.so
#34 0x00007f035db75064 in SvImpLBox::MyUserEvent(void*) () from /opt/libreoffice6.2/program/libmergedlo.so
#35 0x00007f035da75baf in ?? () from /opt/libreoffice6.2/program/libmergedlo.so
#36 0x00007f035dcc758a in SalUserEventList::DispatchUserEvents(bool) () from /opt/libreoffice6.2/program/libmergedlo.so
#37 0x00007f0346940273 in Qt5Instance::ImplYield(bool, bool) () from /opt/libreoffice6.2/program/libvclplug_qt5lo.so
#38 0x00007f03469403d6 in Qt5Instance::DoYield(bool, bool) () from /opt/libreoffice6.2/program/libvclplug_qt5lo.so
#39 0x00007f035dced4e2 in ?? () from /opt/libreoffice6.2/program/libmergedlo.so
#40 0x00007f035d9d7d8e in Dialog::Execute() () from /opt/libreoffice6.2/program/libmergedlo.so
#41 0x00007f035dcce430 in ?? () from /opt/libreoffice6.2/program/libmergedlo.so
#42 0x00007f035d0047f1 in ?? () from /opt/libreoffice6.2/program/libmergedlo.so
#43 0x00007f035d004755 in ?? () from /opt/libreoffice6.2/program/libmergedlo.so
#44 0x00007f035d004a04 in ?? () from /opt/libreoffice6.2/program/libmergedlo.so
#45 0x00007f035da90499 in Control::ImplCallEventListenersAndHandler(VclEventId, std::function<void ()> const&) () from /opt/libreoffice6.2/program/libmergedlo.so
#46 0x00007f035da7a182 in Button::Click() () from /opt/libreoffice6.2/program/libmergedlo.so
#47 0x00007f035da5f01c in vcl::Window::EndTracking(TrackingEventFlags) () from /opt/libreoffice6.2/program/libmergedlo.so
#48 0x00007f035da7440f in ?? () from /opt/libreoffice6.2/program/libmergedlo.so
#49 0x00007f035da75083 in ?? () from /opt/libreoffice6.2/program/libmergedlo.so
#50 0x00007f035da762bf in ?? () from /opt/libreoffice6.2/program/libmergedlo.so
#51 0x00007f03469469f1 in ?? () from /opt/libreoffice6.2/program/libvclplug_qt5lo.so
#52 0x00007f0347337838 in QWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#53 0x00007f03472f783c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#54 0x00007f03472ffca8 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#55 0x00007f034845f328 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#56 0x00007f03472fe29f in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool, bool) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#57 0x00007f0347352a80 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#58 0x00007f034735534a in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#59 0x00007f03472f783c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#60 0x00007f03472fedd0 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#61 0x00007f034845f328 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#62 0x00007f0347b0c52b in QGuiApplicationPrivate::processMouseEvent(QWindowSystemInterfacePrivate::MouseEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
#63 0x00007f0347b0d695 in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
#64 0x00007f0347ae614b in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
#65 0x00007f033dc8830a in ?? () from /usr/lib/x86_64-linux-gnu/libQt5XcbQpa.so.5
#66 0x00007f035704b387 in g_main_context_dispatch () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#67 0x00007f035704b5c0 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#68 0x00007f035704b64c in g_main_context_iteration () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#69 0x00007f03484bc13f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#70 0x00007f03469402d3 in Qt5Instance::ImplYield(bool, bool) () from /opt/libreoffice6.2/program/libvclplug_qt5lo.so
#71 0x00007f03469403d6 in Qt5Instance::DoYield(bool, bool) () from /opt/libreoffice6.2/program/libvclplug_qt5lo.so
#72 0x00007f035dced4e2 in ?? () from /opt/libreoffice6.2/program/libmergedlo.so
#73 0x00007f035d9d7d8e in Dialog::Execute() () from /opt/libreoffice6.2/program/libmergedlo.so
#74 0x00007f035d138a32 in ?? () from /opt/libreoffice6.2/program/libmergedlo.so
#75 0x00007f035d139858 in ?? () from /opt/libreoffice6.2/program/libmergedlo.so
#76 0x00007f035ccabe85 in ?? () from /opt/libreoffice6.2/program/libmergedlo.so
#77 0x00007f035ccb130c in ?? () from /opt/libreoffice6.2/program/libmergedlo.so
#78 0x00007f035ccb203a in ?? () from /opt/libreoffice6.2/program/libmergedlo.so
#79 0x00007f035da75baf in ?? () from /opt/libreoffice6.2/program/libmergedlo.so
#80 0x00007f035dcc758a in SalUserEventList::DispatchUserEvents(bool) () from /opt/libreoffice6.2/program/libmergedlo.so
#81 0x00007f0346940273 in Qt5Instance::ImplYield(bool, bool) () from /opt/libreoffice6.2/program/libvclplug_qt5lo.so
#82 0x00007f03469403d6 in Qt5Instance::DoYield(bool, bool) () from /opt/libreoffice6.2/program/libvclplug_qt5lo.so
#83 0x00007f035dced4e2 in ?? () from /opt/libreoffice6.2/program/libmergedlo.so
#84 0x00007f035dcef395 in Application::Execute() () from /opt/libreoffice6.2/program/libmergedlo.so
#85 0x00007f035ccb3543 in ?? () from /opt/libreoffice6.2/program/libmergedlo.so
#86 0x00007f035dcf5f12 in ImplSVMain() () from /opt/libreoffice6.2/program/libmergedlo.so
#87 0x00007f035ccd3fa5 in soffice_main () from /opt/libreoffice6.2/program/libmergedlo.so
#88 0x000000000040070b in ?? ()
#89 0x00007f035a95ab97 in __libc_start_main (main=0x400700, argc=1, argv=0x7fff58da0f38, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fff58da0f28) at ../csu/libc-start.c:310
#90 0x000000000040073f in ?? ()
Comment 1 Michael Weghorn 2019-03-06 13:19:14 UTC
Thanks for your bug report.

Could you please retest with a current daily build for the LibreOffice 6.2 branch?
They are provided at [1] and [2] describes how you can test those without actually installing the deb packages.

If it works with those, the problem has probably either already fixed in the meantime or it's a problem in the packaging done by KDE Neon.

[1] https://dev-builds.libreoffice.org/daily/libreoffice-6-2/
[2] https://wiki.documentfoundation.org/Installing_in_parallel/Linux
Comment 2 Michael Weghorn 2019-07-18 07:11:49 UTC
Created attachment 152842 [details]
backtrace with master as of 8e3f4317823aa83e0ad9e7dc008a1550ef3c9798
Comment 3 Michael Weghorn 2019-07-18 07:14:48 UTC
I had such a crash today with current master (as of commit 8e3f4317823aa83e0ad9e7dc008a1550ef3c9798) on Debian testing (kde-style-breeze 4:5.14.5-1, libqt5core5a:amd64 5.11.3+dfsg1-1).

New backtrace with all relevant debug symbols installed attached.
Comment 4 Michael Weghorn 2019-07-18 07:51:42 UTC
Created attachment 152843 [details]
User profile to reprodue

I can even reliably reproduce now with the attached user profile (from instdir/user in my dev setup). This also works when copying the 'instdir/user' dir contained therein into ~/.config/libreoffice/ for a release build on another host where I have a different user name.
Comment 5 Buovjaga 2019-11-12 19:21:08 UTC
*** Bug 128738 has been marked as a duplicate of this bug. ***
Comment 6 Michael Weghorn 2019-11-13 07:35:47 UTC
(In reply to Michael Weghorn from comment #4)
> I can even reliably reproduce now with the attached user profile (from
> instdir/user in my dev setup).

To clarify, steps to reproduce with a current master build (all commands to run from the source dir):

1) delete current user profile
   $ rm -r instdir/user
2) extract the attached profile
   $ tar xvf .../configdir_tdf123851.tar.gz
3) start LO -> needs to be run twice after fresh LO build
   SAL_USE_VCLPLUGIN=kf5 ./instdir/program/soffice.bin --writer
-> the document recovery dialog shows up
4) click "Cancel"

-> Crash


Note that using './instdir/program/soffice' instead of './instdir/program/soffice.bin' in step 3 does not work, because the document recovery dialog is not shown in this case.
  

Still reproducible for me with master as of eeae2032476e8c8645ab438fbb379f3151c8e472 and Qt packages as of version 5.12.5+dfsg-2 on Debian testing)
Comment 7 Buovjaga 2019-11-13 09:06:14 UTC
I can repro the crash with the profile. I have Qt debug symbols installed. Please advise how I can get a trace in these circumstances, where it crashes on startup. I tried make debugrun, but bt said "No stack".
Comment 8 Buovjaga 2019-11-13 09:14:59 UTC
Created attachment 155771 [details]
GDB trace of crash

I managed to do it by launching soffice.bin with a sleep command of some seconds and then in another terminal doing gdb --pid `pgrep soffice`

The trace is different, though. It's about fontconfig.

Arch Linux 64-bit
Version: 6.4.0.0.alpha1+
Build ID: bcc701e7c544331f0b5992df532919232b5ae5a0
CPU threads: 8; OS: Linux 5.3; UI render: default; VCL: kf5; 
Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US
Calc: threaded
Built on 12 November 2019
Comment 9 Michael Weghorn 2019-11-13 09:26:33 UTC
(In reply to Buovjaga from comment #8)
> I managed to do it by launching soffice.bin with a sleep command of some
> seconds and then in another terminal doing gdb --pid `pgrep soffice`

I just did 'gdb --args ./instdir/program/soffice.bin --writer'

> The trace is different, though. It's about fontconfig.

That's actually different. Does it mention anything about the crash in addition to the plain backtrace (e.g. segfault, ...)?
Oh, and just to make sure: Did you press 'c' in gdb to continue running LO after attaching to the process?
Comment 10 Buovjaga 2019-11-13 09:47:27 UTC
(In reply to Michael Weghorn from comment #9)
> (In reply to Buovjaga from comment #8)
> > I managed to do it by launching soffice.bin with a sleep command of some
> > seconds and then in another terminal doing gdb --pid `pgrep soffice`
> 
> I just did 'gdb --args ./instdir/program/soffice.bin --writer'

Thanks, with this, I was able to get the same trace as before. I don't know why I did not notice it in your trace :( (I had to use 'run' twice).

Sadly, like you I still get rControlRegion=... instead of the value - Jan-Marek was hoping to see it. Which debug symbols are we missing??
Comment 11 Michael Weghorn 2019-11-13 12:18:59 UTC
(In reply to Buovjaga from comment #10)
> Sadly, like you I still get rControlRegion=... instead of the value -
> Jan-Marek was hoping to see it. Which debug symbols are we missing??

Hm, that is 'const tools::Rectangle& rControlRegion', i.e. an LO-internal type, so this doesn't look like missing debug symbols. Maybe going to the frame in gdb and explicitly printing with 'p rControlRegion' might have worked.

Anyway, Jan-Marek mentioned he can reproduce himself now.
Comment 12 Jan-Marek Glogowski 2019-11-13 15:03:39 UTC
Just for the docs: I used instdir/program/soffice instead of instdir/program/soffice.bin from my master build, which has a local instdir/program/ooenv, which itself contains an "export OOO_DISABLE_RECOVERY=1", which prevented the recovery to run. Actually I didn't even register the difference, until the steps were - again - explicitly written in comment 6.

And then also "SAL_USE_VCLPLUGIN=kf5 ./instdir/program/soffice.bin -env:UserInstallation=file:///tmp/instdir --writer" crashed for me.

There is now: https://gerrit.libreoffice.org/#/c/82600/ waiting for the Jenkins run to finish.
Comment 13 Commit Notification 2019-11-13 15:52:32 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9bc848cf0d301aa57eabcffa101a1cf87bad6470

tdf#123851 Qt5 handle broken ScrollBar values

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2019-11-13 17:10:31 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/c5946dfb6fe36b558967659a85d3dce8317fd7c5

tdf#123851 Qt5 handle broken ScrollBar values

It will be available in 6.3.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Buovjaga 2019-11-13 17:47:41 UTC
Thanks for everyone involved